{ lib, stdenv, fetchFromGitHub }:

stdenv.mkDerivation rec {
	pname = "Arashi-icons";
	version = "1.0.0";

	src = fetchFromGitHub {
		owner = "0hStormy";
		repo = "Arashi";
		rev = "ee721a94f798b24175f28311d92ebcd0791cbaf4";
		sha256 = "sha256-xa/QN8v9vPDus1cQuFBp/x8QQYkiwJsYiWqR+x3/TIA=";
	};

	nativeBuildInputs = [ ];
	buildInputs = [ ];

	installPhase = ''
		mkdir -p $out/share/icons/Arashi/scalable/apps
		mkdir -p $out/share/icons/Arashi/scalable/places
		cp $src/index.theme $out/share/icons/Arashi/
		cp -r $src/scalable/apps/*.svg $out/share/icons/Arashi/scalable/apps/
		cp -r $src/scalable/places/*.svg $out/share/icons/Arashi/scalable/places/

		cp $out/share/icons/Arashi/scalable/apps/utilities-terminal.svg $out/share/icons/Arashi/scalable/apps/com.mitchellh.ghostty.svg
		cp $out/share/icons/Arashi/scalable/apps/systemsettings.svg $out/share/icons/Arashi/scalable/apps/pavucontrol.svg
		cp $out/share/icons/Arashi/scalable/apps/dev.vencord.Vesktop.svg $out/share/icons/Arashi/scalable/apps/equibop.svg
		cp $out/share/icons/Arashi/scalable/apps/org.vinegarhq.Sober.svg $out/share/icons/Arashi/scalable/apps/tuxstrap.svg
	'';

	meta = with lib; {
		description = "A smooth, modern icon set for Linux";
		homepage = "https://github.com/0hStormy/Arashi";
		license = licenses.cc-by-sa-40;
		maintainers = with maintainers; [ ];
	};
}
